//===========================================================================
//
// Name:			Deathknight
// Function:		chat lines for Deathknight
// Programmer:		Phoenix
// Author:			Phoenix
// Editor:			Phoenix
// Last update:		Apr. 30, 2004
// Tab Size:		3 (real tabs)
//===========================================================================

//example initial chats
chat "deathknight"
{
	//the teamplay.h file is included for all kinds of teamplay chats
	#include "teamplay.h"
	//======================================================
	//======================================================
	type "game_enter" //initiated when the bot enters the game
	{	
		"Where have the slipgates taken me this time.";
		"For my lord Quake, you shall all suffer.";
		"Time to show you a new level of pain.";
		4, " is severely lacking in zombies.";
		"Ahhh, my old nemesis, ", 1, ". We meet again.";
		HELLO9;
		// 0 = bot name
	} //end type

	type "game_exit" //initiated when the bot exits the game
	{	
		"Back to the catacombs.";
		"Quake has summoned me back to his lair.";
		"Do not expect me to go easy on you when I return.";
		GOODBYE5;
		// 0 = bot name
	} //end type

	type "level_start" //initiated when a new level starts
	{	
		"With a few neural implants ", 0, " will make a fine grunt.";
		"Yet another realm to conquer.";
		"I think ", 1, " is asking for a pounding.";
		"What, ", 4, " again?";
		"Fear the name of Quake!";
		"I thought Shub already took over this realm...";
		"It's not the Dimension of the Doomed, but it will do.";
		// 0 = bot name
		// 1 = random player
	} //end type

	type "level_end" //initiated when a level ends and the bot is not first and not last in the rankings
	{	
		"I'm going to throttle whoever stole my sword.";
		"Next time, ", 2, ", I'll break your neck with my own hands.";
		"What good is struggle without actually winning anything?";
		2, " is on my deathlist now.";
		// 0 = bot name
		// 2 = opponent in first place
	} //end type

	type "level_end_victory" //initiated when a level ends and the bot is first in the rankings
	{	
		"Give up, ", 3, ". You can't contest with the undead.";
		"I could beat all of you with just an axe.";
		"Just repopulate this place with a few fiends, and it'll be just like home.";
		"Your souls belong to ME!";
		"This was no challenge.";
		"How we ever lost the Slipgate war, I'll never know.  This was too easy.";
		// 0 = bot name
		// 2 = opponent in first place
		// 3 = opponent in last place
	} //end type

	type "level_end_lose" //initiated when a level ends and the bot is last in the rankings
	{	
		"Next time I'm summoning in some shamblers for backup.";
		"Just wait until I get some oil for this armor!";
		"Blast!  And they said the Earth Realm would be easy, too.";
		"Does anyone have a canopener?  I think I'm stuck.";
		"I think I should have stayed home.";
		"Lucky, ", 2, " but lightning never strikes twice except from my Thunderbolt.";
		LEVEL_END_LOSE0;
		// 0 = bot name
	} //end type

	//======================================================
	//======================================================

	type "hit_talking" //bot is hit while chat balloon is visible; lecture attacker on poor sportsmanship
	{	
		"Get ready to die, ~hero.";
		"Hey, ", fighter, ". You're dead.";
		"To fight and die without honor is the saddest death of all.";
		"I ain't letting up on you 'til you squish, ", 0, ".";
		//0 = shooter
	} //end type

	type "hit_nodeath" //bot is hit by an opponent's weapon attack; either praise or insult
	{	
		"Get a bigger gun.";
		"Hey ... they told me this armor was bulletproof.";
		"Live flesh never could aim.";
		"Nice shot, ", 0, ". Now watch how the undead fights.";
		"Your puny weapon is no match for the power of Quake!";
		//0 = shooter
	} //end type

	type "hit_nokill" //bot hits an opponent but does not kill it
	{	
		"Curse these human-built weapons!";
		"The next one will finish the job for certain.";
		"I'm going to swab the floor with your bloody carcass, ", 0, ".";
		"Come back here!  I'll eat your brain and pull out your liver!";
		//0 = opponent
	} //end type

	//======================================================
	//======================================================

	type "death_telefrag" //initiated when the bot is killed by a telefrag
	{
		"A curse on whoever pointed that slipgate at ME.";
		"You'll pay for that!";
		"I am not amused.  Not amused at all.";
		// 0 = enemy name
	} //end type

	type "death_cratered" //initiated when the bot is killed by taking "normal" falling damage
	{	
		"All this undead power and they couldn't make me splatter proof?";
		"At times like this I wish I were a scrag.";
		"All this armor ... and I go and land on my head.";
		// 0 = enemy name
	} //end type

	type "death_lava" //initiated when the bot dies in lava
	{	
		"That stuff is way too hot.";
		"Someone pry me out of this slag!";
		"From one eternal torment to another.";
		// 0 = enemy name
	} //end type

	type "death_slime" //initiated when the bot dies in slime
	{	
		"What a pathetic way to go.";
		"If I wanted to be green I'd be a scrag.";
		"Whoever left the shambler bath running is going to pay.";
		// 0 = enemy name
	} //end type

	type "death_drown" //initiated when the bot drowns
	{	
		"YOU try swimming with all this metal on.";
		"I'm a knight, not a fish.";
		DEATH_DROWN1;
		// 0 = enemy name
	} //end type

	type "death_suicide" //initiated when bot blows self up with a weapon or craters
	{	
		"Better to die at my own hands than by a ", fighter, " like you.";
		"Nobody's perfect.";
		"Impossible!";
		"There's a limit to the power of my undeadness after all.";
		DEATH_SUICIDE1;
		// 0 = enemy name
	} //end type

	type "death_gauntlet" //initiated when the bot is killed by a gauntlet attack
	{	
		"Get ready to taste my axe, ", 0, "!";
		"I'll pull your spine out for that one!";
		"I don't forgive such things.";
		DEATH_GAUNTLET1;
		// 0 = enemy name
	} //end type

	type "death_rail" //initiated when the bot is killed by a rail gun shot
	{	
		"I'll be sure to pay you back for that, ", 0, ".";
		"Coward! Come out and fight!";
		"You can't stay out of lightning range forever.";
		DEATH_RAIL1;
		// 0 = enemy name
	} //end type

	type "death_bfg" //initiated when the bot died by a BFG
	{	
		"Just wait until I give a couple of those to some ogres.";
		"I see you've found a way around my armor after all.";
		"Lose that complex electronic junk.  Lightning is the REAL way to go.";
		// 0 = enemy name
	} //end type

	type "death_insult" //insult initiated when the bot died
	{	
		"Defeat me once, ", 0, ". I'll defeat you ten times over.";
		"You call that a kill?";
		"Shooting me in the back only makes me madder, ", 0, ".";
		DEATH_INSULT4;
		"They can resurrect me.  Can you say the same for yourself?";
		// 0 = enemy name
	} //end type

	type "death_praise" //praise initiated when the bot died
	{	
		"So this is the kind of fighter that defeated Quake's mighty army.";
		"A toast to ", 0, ".  Well done.";
		"I marvel at the audacity.";
		D_PRAISE6;
		// 0 = enemy name
	} //end type

	type "death_kamikaze" //initiated when the bot is killed by kamikaze blast
	{
		"I really need to get one of those things.";
		"If only we had such a weapon, the Slipgate Wars might have ended differently.";
		"Accursed no-skill explosives!";
		"You'll pay for that, ", 0, ".";
		"Perhaps this armor is overrated.";
		"If the shambler in my skull would just lay off...";
		// 0 = enemy name
	} //end type 


	//======================================================
	//======================================================

	type "kill_kamikaze" //initiated when the bot kills someone with rail gun
	{
		"Feel the power of Quake!";
		"Who needs a BFG?";
		"One weapon, multiple deaths.  I can handle that.";
		"I live for such carange!";
		// 0 = enemy name
	} //end type

	type "kill_rail" //initiated when the bot kills someone with rail gun
	{	
		"I'd like to thank whoever gave me this gun.";
		"Now the odds are even again.";
		"It's like being there.";
		// 0 = enemy name
	} //end type

	type "kill_gauntlet" //initiated when the bot kills someone with gauntlet
	{	
		"Let me axe you something.";
		"Cleaved to the bone!";
		"You can't get away from me!";
		"There is no greater a way to slaughter fresh meat.";
		"Yes!  We've found the brain!";
		// 0 = enemy name
	} //end type

	type "kill_telefrag" //initiated when the bot telefrags someone
	{	
		"If only all deaths were so... expressive.";
		"Ahh, saves on butchering!!";
		"The slipgates are weapons all themselves!";
		// 0 = enemy name
	} //end type

	type "kill_suicide" //initiated when the player kills self
	{	
		"You can't expect to defeat us that way.";
		"What a waste, ", 0, ". I was hoping to toy with you a while longer.";
		// 0 = enemy name
	} //end type

	type "kill_insult" //insult initiated when the bot killed someone
	{	
		"Phah.  You're no warrior.";
		"The living cannot compare to the undead if they all fight like ", 0, ".";
		"You're not even fit to be made into a grunt.";
		"Expect no mercy, for I'll give you none.";
		"What a waste of flesh.";
		"Now which parts do we wish to zombify first...";
		// 0 = enemy name
	} //end type

	type "kill_praise" //praise initiated when the bot killed someone
	{	
		"Nice, but when I get back up you'll need to find a bigger gun.";
		"Finally!  Someone who knows how to put up a fight.";
		"Good shot.  You'll make an excellent zombie, ", 0,".";
		// 0 = enemy name
	} //end type

	//======================================================
	//======================================================

	type "random_insult" //insult initiated randomly (just when the bot feels like it)
	{	
		"Do your worst, mortal.";
		"Death is inescapable, and so is the Deathknight.";
		"Run, coward, run!";
		"I know cowards when I can't see 'em.";
		MISC5;
		TAUNT4;
		// 0 = name of randomly chosen player
		// 1 = bot name
	} //end type

	type "random_misc" //miscellanous chats initiated randomly
	{
		"Anybody got an oil can?";
		"There's a distinct lack of gibs here.  Time to change that.";
		"I think ", 0, " would make a nice wall-hanging.";
		"Where have all the zombies gone?";
		MISC12;
		// 0 = name of randomly chosen player
		// 1 = bot name
	} //end type
} //end deathknight chat


