//===========================================================================
//
// Name:			Swine_c.c
// Function:		chat lines for Swine
// Programmer:		Phoenix
// Author:			Phoenix
// Editor:			Phoenix
// Last update:		Apr. 03, 2004
// Tab Size:		3 (real tabs)
//===========================================================================

//example initial chats
chat "swine"
{
	//the teamplay.h file is included for all kinds of teamplay chats
	#include "teamplay.h"

	//======================================================
	//======================================================

	type "game_enter" //initiated when the bot enters the game
	{
		HELLO10;
		"Come out, little Allies, wherever you are.";
		"Guten Tag.";
		"I see you are still alive, ", 1, ". We will fix this.";
		1, ", you will bow before the might of the Fatherland!";
		"Good morning, ", 1, "it is time for you to die.";
		"Does anyone have any Bavarian cream pie?";
		// 0 = bot name
	} //end type

	type "game_exit" //initiated when the bot exits the game
	{
		"Aufweitersein!";
		"Parting is such sweet sorrow.";
		"Excuse me, but I must be going.";
		"Time to return to the Reichstag.";
		// 0 = bot name
	} //end type

	type "level_start" //initiated when a new level starts
	{
		"I will secure ", 4, " and set up a command post." ;
		"I thought I parked my Panzer around here somewhere.";
		"This looks like a nice place for an ammo dump.";
		// 0 = bot name
		// 1 = randomly chosen player
		// 4 = Level's title
		} //end type

	type "level_end" //initiated when a level ends and the bot is not first and not last in the rankings
	{
		"Mediocrity will not be tolerated!";
		2, " have you ever considered an alliance with Berlin?";
		"Well, ", 3, " I see you will be peeling potatoes for a while, Ja?";
		// 0 = bot name
		// 2 = opponent in first place
		// 3 = opponent in last place
	} //end type

	type "level_end_victory" //initiated when a level ends and the bot is first in the rankings
	{
		"VICTORY IS MINE!";
		"Poor, ", 3, ".  And I was going easy, too.";
		"This will look very good in my report!";
		"We have taken", 4, ".  Now lets break out the Struessel!";
		// 0 = bot name
		// 3 = opponent in last place
	} //end type

	type "level_end_lose" //initiated when a level ends and the bot is last in the rankings
	{
		"We declare war on ", 2, "!";
		"NEIN!  This cannot be!";
		"The Furor will NOT be pleased with my report.";
		"Schweinhund!";

		LEVEL_END_LOSE1;
		// 0 = bot name
	} //end type

	//======================================================
	//======================================================

	type "hit_talking" //bot is hit while chat balloon is visible; lecture attacker on poor sportsmanship
	{
		//"You just became road-kill, ", fighter, ".";
		0, ", I will stab needles in your eyes.";
		"Nice ~one, ", 0, ". But now it's my turn.";
		//0 = shooter
	} //end type

	type "hit_nodeath" //bot is hit by an opponent's weapon attack; either praise or insult
	{
		"Was that your best shot?";
		"I just had this uniform cleaned, ", 0,"!";
		"We are superior, don't you know that?";
		"I declare blitzkrieg on", 0, "!";
		"You will wish you had not done that, ", 0, ".";
		DEATH_INSULT6;
		//0 = shooter
	} //end type

	type "hit_nokill" //bot hits an opponent but does not kill it
	{
		"I have a mortar shell with your name on it.";
		"Do not worry, I have much more where that game from.";
		"The problem with you Allies is you all look the same when you're dead!";
		"Lousy, cheap ammo.";
		"Verdammen Sie es!  When did the Allies start wearing tanks for uniforms?!";
		"I think I need a Panzerfaust...";
		//0 = opponent
	} //end type

	//======================================================
	//======================================================

	type "death_telefrag" //initiated when the bot is killed by a telefrag
	{
		"Mein Leben!";
		"I feel the Luftwaffe needs to check their bomb sights...";
		"Did anyone see which way that Panzer division went?";
		// 0 = enemy name
	} //end type

	type "death_cratered" //initiated when the bot is killed by falling damage
	{
		"Remind me to pack a parachute next time.";
		"I just bought those boots!";
		"Hah!  One less kill for YOU!";
		// 0 = enemy name
	} //end type

	type "death_lava" //initiated when the bot dies in lava
	{
		"Mmm, I smell roast pork!  Wait, that's me...";
		"I always did love a cookout.";
		DEATH_LAVA2;
		// 0 = enemy name
	} //end type

	type "death_slime" //initiated when the bot dies in slime
	{
		"There is something ironic about this, but I can't figure what.";
		"I see Giftmacher has been experimenting again...";
		"What a world!  What a world!";
		// 0 = enemy name
	} //end type

	type "death_drown" //initiated when the bot drowns
	{
		"Whoever said fat floats lied!";
		"Great, now I smell like a wet dog.";
		"All these bullets weighed me down!";
		// 0 = enemy name
	} //end type

	type "death_suicide" //initiated when bot blows self up with a weapon or craters
	{
		"You so much as giggle, ", 0, ", and I break your face.";
		"Blast!  At this rate they'll be in Berlin in a month.";
		DEATH_SUICIDE1;
		DEATH_SUICIDE4;
		// 0 = enemy name
	} //end type

	type "death_gauntlet" //initiated when the bot is killed by a gauntlet attack
	{
		0, ", I will do the same to you!";
		"You shall not do that again!";
		"AHH!";
		"I have been humiliated!  Now I must repay tenfold.";
		// 0 = enemy name
	} //end type

	type "death_rail" //initiated when the bot is killed by a rail gun shot
	{
		"I will put you down for a marksman medal.";
		"I have a rifle too, ", 0, ".";
		"Snipers!  Take cover!";
		// 0 = enemy name
	} //end type

	type "death_bfg" //initiated when the bot died by a BFG
	{
		"What is this?  A secret Allied weapon?";
		"Do you mind if I lie down here a moment?";
		"Achtung! Achtung!  Wir werden eingedrungen!";
		// 0 = enemy name
	} //end type

	type "death_kamikaze" //initiated when the bot is killed by kamikaze blast
	{
		"Who ordered the airstrike on MY position?!";
		"Such a pity, those were my new boots.";
		"I think Helga wanted one of those for the living room.";
		// 0 = enemy name
	} //end type 

	type "death_insult" //insult initiated when the bot died
	{
		"You fight like the French, ", 0, ".";
		"I've eaten cream pies tougher than you, ", fighter, ".";
		"I can't believe a ", fighter, " like ", 0, " bested me!";
		"Fool!  I command an entire division!";
		DEATH_INSULT4;
		// 0 = enemy name
	} //end type

	type "death_praise" //praise initiated when the bot died
	{
		"Hans never kicked me around this bad.";
		"I salute you, ", 0, ".";
		0, " is a soldier after all.";
		// 0 = enemy name
	} //end type

	//======================================================
	//======================================================

	type "kill_rail" //initiated when the bot kills someone with rail gun
	{
		"You make such a juicy target, ", fighter, ".";
		"Yes!  I have not lost my touch.";
		"Who says only front-line soldiers are marksmen?";
		// 0 = enemy name
	} //end type

	type "kill_gauntlet" //initiated when the bot kills someone with gauntlet
	{
		"Next time I'll turn it real slowly.";
		"Like sticking a pig!";
		"Carved like a roast turkey.";
		"You bleed really nice.";
		// 0 = enemy name
	} //end type

	type "kill_telefrag" //initiated when the bot telefragged someone
	{
		"We do that to all intruders.";
		"Once we perfect this...";
		"Who needs air support?";
		TELEFRAGGED7;
		// 0 = enemy name
	} //end type

	type "kill_suicide" //initiated when the player kills self
	{
		"You might want to read the instructions next time!";
		"At this rate we'll be to London in a week!";
		// 0 = enemy name
	} //end type

	type "kill_kamikaze" //insult initiated when bot kills with the kmikaze
	{
		"That was very pretty.";
		"There is no place to hide!";
		"This new nuclear technology is very unstable, ja.";
		"I go down for my country!";		
		// 0 = enemy name
	} //end type

	type "kill_insult" //Insult initiated when the bot killed someone
	{
		0, ", you could not win if I handed you a loaded tank.";
		"I remember the last batch being tougher than this.";
		"You are not worthy for our army.  Ja, you're not worthy for ANY army.";
		KILL_INSULT6;
		KILL_INSULT34;
		KILL_INSULT38;
		// 0 = enemy name
	} //end type

	type "kill_praise" //praise initiated when the bot killed someone
	{
		"Very nice.  Now keep doing that so I can win.";
		"You'll make good maggot food, ", 0, ". That's something.";
		"Maybe I'm in the wrong department.  Executioner has a nice ring to it.";
	
		// 0 = enemy name
	} //end type

	//======================================================
	//======================================================

	type "random_insult" //insult initiated randomly (just when the bot feels like it)
	{
		"Let's all get together afterward for some beer.  Loser buys!";
		"You Allies are all the same.  Weak.";
		"You're just another victim for the Wermacht.";
		"My dachshund could beat you with a blindfold on.";
		// 0 = name of randomly chosen player
		// 1 = bot name
	} //end type

	type "random_misc" //miscellanous chats initiated randomly
	{
		"I thought I heard the dinner bell.";
		"Why do all these castles look alike?";
		"I love the smell of gunpowder in the morning.";
		"You look like a pig,", 0, " and your mother smells like one.";
		femalebot, " better have desert ready, I'm hungry!"; 
		MISC9;
		MISC12;
		MISC16;
		// 0 = name of randomly chosen player
		// 1 = bot name
	} //end type
} //end swine chat
