
#define INVENTORY_NONE				0
//armor
#define INVENTORY_ARMOR				1
//weapons
#define INVENTORY_GAUNTLET			8
#define INVENTORY_SHOTGUN			9
#define INVENTORY_MACHINEGUN			10
#define INVENTORY_GRENADELAUNCHER		11
#define INVENTORY_ROCKETLAUNCHER		12
#define INVENTORY_LIGHTNING			13
#define INVENTORY_RAILGUN			14
#define INVENTORY_PLASMAGUN			15
#define INVENTORY_BFG10K			16
#define INVENTORY_GRAPPLINGHOOK		17

//ammo
#define INVENTORY_SHELLS			18
#define INVENTORY_BULLETS			19
#define INVENTORY_GRENADES			20
#define INVENTORY_CELLS				21
#define INVENTORY_LIGHTNINGAMMO		22
#define INVENTORY_ROCKETS			23
#define INVENTORY_SLUGS				24
#define INVENTORY_BFGAMMO			25

// generations arena - used strictly for bot thinking.
// Share the same values as default ammos.

#define INVENTORY_HANDGRENADEAMMO		20
#define INVENTORY_PISTOLAMMO			19
#define INVENTORY_BOOMSTICKAMMO		18

//powerups
#define INVENTORY_TELEPORTER			26
#define INVENTORY_MEDKIT			27
#define INVENTORY_QUAD				28
#define INVENTORY_ENVIRONMENTSUIT		29
#define INVENTORY_HASTE				30
#define INVENTORY_INVISIBILITY		31
#define INVENTORY_REGEN				32
#define INVENTORY_FLIGHT			33

#define INVENTORY_REDFLAG			34
#define INVENTORY_BLUEFLAG			35

//generations arena stuff
#define INVENTORY_BOOMSTICK			36
#define INVENTORY_PISTOL			37
#define INVENTORY_HANDGRENADES		38
#define INVENTORY_BACKPACK			39

// generations arena
#define INVENTORY_AMPLIFIER			40
#define INVENTORY_AUTODOC			41
#define INVENTORY_TIMEACCEL			42
#define INVENTORY_DISRUPTOR			43

#define INVENTORY_KAMIKAZE			44
#define INVENTORY_PORTAL			45
#define INVENTORY_INVULNERABILITY		46

#define INVENTORY_NAILS				47
#define INVENTORY_MINES				48
#define INVENTORY_BELT				49

#define INVENTORY_SCOUT				50
#define INVENTORY_GUARD				51
#define INVENTORY_DOUBLER			52
#define INVENTORY_AMMOREGEN			53

#define INVENTORY_NEUTRALFLAG			54
#define INVENTORY_REDCUBE			55
#define INVENTORY_BLUECUBE			56


#define INVENTORY_NAILGUN			57
#define INVENTORY_PROXLAUNCHER		58
#define INVENTORY_CHAINGUN			59

#define INVENTORY_HEALTH			60

//enemy stuff
#define ENEMY_HORIZONTAL_DIST			200
#define ENEMY_HEIGHT				201
#define NUM_VISIBLE_ENEMIES			202
#define NUM_VISIBLE_TEAMMATES			203

// if running the mission pack
#ifdef MISSIONPACK

//#error "running mission pack"

#endif

//item numbers (make sure they are in sync with bg_itemlist in bg_misc.c)
#define MODELINDEX_ARMORSHARD			1
#define MODELINDEX_ARMORCOMBAT		2
#define MODELINDEX_ARMORBODY			3
#define MODELINDEX_HEALTHSMALL		4
#define MODELINDEX_HEALTH			5
#define MODELINDEX_HEALTHLARGE		6
#define MODELINDEX_HEALTHMEGA			7

#define MODELINDEX_GAUNTLET			8
#define MODELINDEX_SHOTGUN			9
#define MODELINDEX_MACHINEGUN			10
#define MODELINDEX_GRENADELAUNCHER		11
#define MODELINDEX_ROCKETLAUNCHER		12
#define MODELINDEX_LIGHTNING			13
#define MODELINDEX_RAILGUN			14
#define MODELINDEX_PLASMAGUN			15
#define MODELINDEX_BFG10K			16
#define MODELINDEX_GRAPPLINGHOOK		17

#define MODELINDEX_SHELLS			18
#define MODELINDEX_BULLETS			19
#define MODELINDEX_GRENADES			20
#define MODELINDEX_CELLS			21
#define MODELINDEX_LIGHTNINGAMMO		22
#define MODELINDEX_ROCKETS			23
#define MODELINDEX_SLUGS			24
#define MODELINDEX_BFGAMMO			25

#define MODELINDEX_TELEPORTER			26
#define MODELINDEX_MEDKIT			27
#define MODELINDEX_QUAD				28
#define MODELINDEX_ENVIRONMENTSUIT		29
#define MODELINDEX_HASTE			30
#define MODELINDEX_INVISIBILITY		31
#define MODELINDEX_REGEN			32
#define MODELINDEX_FLIGHT			33

#define MODELINDEX_REDFLAG			34
#define MODELINDEX_BLUEFLAG			35

//generations arena
#define MODELINDEX_BOOMSTICK			36
#define MODELINDEX_PISTOL			37
#define MODELINDEX_HANDGRENADES		38
#define MODELINDEX_BACKPACK			39
//end


#define MODELINDEX_AMPLIFIER			40
#define MODELINDEX_AUTODOC			41
#define MODELINDEX_TIMEACCEL			42
#define MODELINDEX_DISRUPTOR			43

#define MODELINDEX_KAMIKAZE			44 //36


// mission pack only defines

#define MODELINDEX_PORTAL			45 //37
#define MODELINDEX_INVULNERABILITY	      46 //38

#define MODELINDEX_NAILS			47 //39
#define MODELINDEX_MINES			48 //40
#define MODELINDEX_BELT				49 //41

#define MODELINDEX_SCOUT			50 //42
#define MODELINDEX_GUARD			51 //43
#define MODELINDEX_DOUBLER			52 //44
#define MODELINDEX_AMMOREGEN			53 //45

#define MODELINDEX_NEUTRALFLAG		54 //46
#define MODELINDEX_REDCUBE			55 //47
#define MODELINDEX_BLUECUBE			56 //48

#define MODELINDEX_NAILGUN			57 //49
#define MODELINDEX_PROXLAUNCHER		58 //50
#define MODELINDEX_CHAINGUN			59 //51


//
#define WEAPONINDEX_GAUNTLET				1
#define WEAPONINDEX_MACHINEGUN			2
#define WEAPONINDEX_SHOTGUN				3
#define WEAPONINDEX_GRENADE_LAUNCHER		4
#define WEAPONINDEX_ROCKET_LAUNCHER			5
#define WEAPONINDEX_LIGHTNING				6
#define WEAPONINDEX_RAILGUN				7
#define WEAPONINDEX_PLASMAGUN				8
#define WEAPONINDEX_BFG					9
#define WEAPONINDEX_GRAPPLING_HOOK			10

//generations arena
#define WEAPONINDEX_BOOMSTICK				11
#define WEAPONINDEX_PISTOL				12
#define WEAPONINDEX_HANDGRENADES			13


//#define W_BOOMSTICK					20
//#define W_PISTOL						10
//#define W_HANDGRENADES					10


/*
#define WEAPONINDEX_NAILGUN				11
#define WEAPONINDEX_PROXLAUNCHER		12
#define WEAPONINDEX_CHAINGUN			13
*/