//===========================================================================
//
// Name:			krusade_c.c
// Function:		chat lines for Krusade
// Programmer:		Phoenix
// Scripter:		Phoenix
// Last update:		04/30/04
// Tab Size:		3 (real tabs)
//===========================================================================

chat "krusade"
{
	#include "teamplay.h"
	//
	type "game_enter"
	{
		"I wonder where my quest has led me this time.";
		"No evil will be left alive in this place!";  
		"For glory, and for honor!"; 
		"Still have not converted, ", 1, "?";
		HELLO9;
	} //end type

	type "game_exit"
	{
		"Keep the faith.";
		"I am called to battle evil elsewhere.  Farewell.";
		"Fight well, warriors.";
	} //end type

	type "level_start"
	{
		"I sense much evil here.  It will be purged."; 
		"Your lives are nothing before the needs of the Quest.";
		"It is time to wage Holy War upon you all.";
		"I hope you will provide a better challenge than the last bunch.";
	} //end type

	type "level_end"
	{
		"And so another stage in my quest ends.";
		"At last, a chance to reload!";
		"Fear not, battle will begin again soon enough.";
	} //end type

	type "level_end_victory"
	{
		"Victory!";
		"You are worthless, ", 3, ", and pathetic.";
		"Conquest has never come so easy.";
		"I have destroyed you all!";
		LEVEL_END_VICTORY2;
	} //end type

	type "level_end_lose"
	{
		"Evil will never be vanquished at this rate.";
		"Humility comes from above.  As it is, I am below.";
		"I will not rest until I see ", 2, "defeated.";
		"Blast!";
		"The end is nigh indeed.";
		"I have dishonored my holy quest, and fallen from grace.";
	} //end type

	//======================================================
	//======================================================
	type "hit_talking" //bot is hit while chat balloon is visible;
	{
		"If that is the only way you can achieve victory... so be it.";
		"Dishonorable action will lead to termination, ", 0, ".";
		"There is no honor in attacking one in prayer, ", 0, ".";
		//0 = shooter
	} //end type

	type "damaged_nokill" //bot is hit by an opponent's weapon attack; either praise or insult
	{
		"Is that the best you can do, heathen?";
		"I've swatted flies bigger than you."; //
		//0 = shooter
	} //end type

	type "hit_nokill" //bot hits an opponent but does not kill it
	{
		"That's your call to repentance.";
		"That's just a taste of the suffering you'll be feeling - in ~Hell!";
		//0 = opponent
	} //end type
	type "enemy_suicide"
	{
		"This your first day with that weapon, ", 0, "?";
		"Suicide is not the path to Heaven.";
		"I think your aim is improving, ", 0, ".";
		"Your skills amaze even me.";
		//0 = enemy
	} //end type

	//================================================================
	//================================================================

	type "death_telefrag"
	{
		"Struck down from above!"; //
		"Now I know what Armageddon feels like.";
		"I'll cleanse you of your wicked sorcery, ", 0, "!";
		DEATH_TELEFRAGGED1;
		DEATH_TELEFRAGGED2;
	} //end type 

	type "death_lava"
	{
		"The fires of hell have not felt hotter!";
		"Woe to the poor souls who feel this eternally.";
		"I think my armor melted from that one.";
	} //end type

	type "death_slime"
	{
		"Horrible stuff.";
		"I've cleaned worse than this off my boots."; //
		"The sting of corruption is harsh indeed.";
	} //end type

	type "death_drown"
	{
		"Baptism taken 3 steps too far...";
		"I need lighter armor!";
		DEATH_SUICIDE3;
	} //end type

	type "death_suicide"  //includes weapon, cratering, & trigger_hurt
	{
		"Accidents happen.";
		"That's no way for a warrior to die.";
		"There are worse ways to die ...";
		"I could use some divine intervention about now.";
		"I never thought my quest would end thus!";
		DEATH_SUICIDE2;
	} //end type

	type "death_gauntlet"
	{
		"A foul deed from a foul beast!"; //VOICE RANDOM_2
		"Don't tempt my wrath, ", fighter, "!";
		"Barbarian.";
		"That's an ugly way to die.";
		"I'll teach you the true meaning of pain!";
		DEATH_GAUNTLET1;
	} //end type

	type "death_rail"
	{
		"Everyone gets lucky, once in awhile, ", 0, ".";
		"I will be sure to return the favor.";
		"A lucky shot, ", 0, ".";
	} //end type

	type "death_bfg"
	{
		"A devastating blow, I salute you.";
		"The heathen gods have armed thee well!";
		"I shall overcome, and be victorious.";
		"A big gun does not a warrior make, ", 0, ".";
	} //end type

	type "death_insult"
	{
		"Watch where you point that thing, ", 0, ". I'm the good guy here.";
		"So you've learned to spar, but can you FIGHT, whelp?";
		"I've seen peasants fight better than that.";
		"Alright, training is over.  Prepare for a REAL battle!";
		"The more you slow me, the more time the evil has to spread.";
		"You've interfered with my quest for the last time, ", 0,".";
		"You've had your lucky shot for the day, ", 0, ".";
	} //end type

	type "death_praise"
	{
		"An excellent move.";
		"Well, ", 0, ". There's hope for you yet.";
		"Good shooting.";
		"You see, ", 0, ", practice does pay off in the long run.";
		"I see you've been practicing again, ", 0, ".";
		"You should consider joining the faith, ",0, ".  We need more warriors like you.";
	} //end type
	
		type "death_kamikaze" //initiated when the bot is killed by kamikaze blast
	{
		"Judgement has come!";
		"Alas, for this day burns like an oven!";
		"I've never felt such pain.";
		"Crucified in flaming fury.";
		// 0 = enemy name
	} //end type 


	//======================================================
	//======================================================

	type "kill_kamikaze" //initiated when the bot kills someone with kamikaze
	{
		"I lay down my life - and yours too.";
		"You have all failed a crucial test here.";
		"That ought to dampen your spirits a bit.";
	 	"Feel my wrath!";
		// 0 = enemy name
	} //end type

	type "kill_rail"
	{
		"You cannot hide from me."; //VOICE RANDOM_1
		"Well it's better than a bow and arrow...";
		"This is a truly fine weapon.";
	} //end type

	type "kill_gauntlet"
	{
		"Lesson Number ~One: Never let the enemy get that close.";
		"Swift and silent.";
		"Who needs bullets?";
	} //end type

	type "kill_telefrag"
	{
		"Like a thief..."; //VOICE RANDOM_1
		"Yeah, that'll teach you.";
	} //end type 

	type "kill_insult"
	{
		"I've got more where that came from.";
		"Die, heathen scum!";
		"Alright. That's more like it.";
		"You're pathetic and weak, ", 0, ".";
		"This your first day with that weapon?";
		"Your sacrifice furthers my quest, ", 0, ".";
		"It'd be quicker, ", 0, ", if you just hold still.";
		"All to easy.";
		0, ", you are making this far too easy.";
	} //end type

	type "kill_praise"
	{
		"Fancy move, ", 0, ".  But it still got you killed.";
		"Finally, a challenge worthy of my skills.";
		"You may lose, ", 0, ", but you don't have to like it.";
		"I see you've been practicing again, ", 0, ".";
		"There's always hope, ", 0, ".";
	} //end type
	
	//================================================================
	//================================================================

	type "random_insult"
	{
		"Bow down, heathen."; 
		"It'd be quicker if you just hold still, ", 1, ".";
		"You're out of your league, ", 0, ".";
		"I've seen more courage in a cattle field than in this place.";
		"Do you think you can contest with divine will?";
		"I have nothing to say to the likes of you.";
		"Repent, and accept righteous judgement!";
		"I come in peace.  I leave you in pieces.";
	} //end type

	type "random_misc"
	{
		"What an unholy place this is."; 
		"I think I have a rust spot."; 
		"I hear confessions every Thursday."; 
		MISC10;
		"This is all some kind of game to you, isn't it?";
		"It's time to wrap this up and move on.";
		"Move your sorry butt around more, ", 1, "!  You're too easy a target.";
		"I really need to have a talk with whoever keeps hanging all the crosses wrong.";
		"See no evil, hear no evil...";
		"What is that smell?"
		"Hey, ", 1, " didn't I pave the last map with your remains?";


	} //end type
	
} //end chat sarge
