// Earth weapons shader

models/weaphits/napalm/flamestream_inner
{
	deformVertexes wave 20 triangle 0.7 0.3 .25 8
	cull none
	{
	map models/weaphits/napalm/flamestream_inner.tga
	blendFunc GL_ONE GL_ONE
	rgbGen wave sin .6 0 0 0
	tcmod scroll 0 2
	}
}
models/weaphits/napalm/flamestream_outer
{
	deformVertexes wave 20 triangle 0.7 .3 .25 5
	cull none
	{
	map models/weaphits/napalm/flamestream_outer.tga
	blendFunc GL_ONE GL_ONE
	rgbGen wave sin .6 0 0 0
	tcmod scroll 0 -1
	}
}
models/weaphits/napalm/flamestream_flare
{
	cull none
	{
	map models/weaphits/napalm/flamestream_flare.jpg
	blendFunc GL_ONE GL_ONE
	rgbGen wave sin .7 0 0 0
	//tcmod rotate 2000
	tcmod turb 0 0.05 0 32
	}
}



models/weapons2/machinegun/f_earthmachinegun
{
	cull disable
	sort additive
	{
		map models/weapons2/machinegun/f_earthmachinegun.tga
		blendfunc GL_ONE GL_ONE
	}
}

models/weapons2/pistol/f_earthpistol1
{
	sort additive
	cull disable
	deformVertexes autosprite2
	{
		map	models/weapons2/pistol/f_earthpistol1.tga
		blendfunc GL_ONE GL_ONE
	}
}
models/weapons2/pistol/f_earthpistol2
{
	sort additive
	cull disable
	{
		map	models/weapons2/pistol/f_earthpistol2.tga
		blendfunc GL_ONE GL_ONE
	}
}


models/weapons2/rocketl/f_earthrocketl
{
	cull disable
	sort additive
	{
		map models/weapons2/rocketl/f_earthrocketl.tga
		blendfunc GL_ONE GL_ONE
	}
}
models/weapons2/lightning/f_earthlightning
{
	cull disable
	sort additive
	{
		map models/weapons2/lightning/f_earthlightning.tga
		blendfunc GL_ONE GL_ONE
	}
}
models/weapons2/shotgun/f_earthgat
{
	cull disable
	sort additive
	{
		map models/weapons2/shotgun/f_earthgat.tga
		blendfunc GL_ONE GL_ONE
	}
}

models/weapons2/bfg/f_earthbfg
{
	cull disable
	sort additive
	{
		map models/weapons2/bfg/f_earthbfg.tga
		blendfunc GL_ONE GL_ONE
	}
}

models/weapons2/shotgun/gat_laser
{
	cull none
	{
	map models/weapons2/shotgun/gat_laser.tga
	blendFunc GL_ONE GL_ONE
	rgbGen entity
	tcmod scroll 0.2 0
	}
}


models/weapons2/railgun/earth_sniper
{
	cull none
	{
	map models/weapons2/railgun/earth_sniper.tga
	alphaFunc GE128
	rgbGen lightingDiffuse
	}
}


// Flamethrower shaders

onfire2
{
	cull none
	{
		animMap 10 flame/fire1.tga flame/fire2.tga flame/fire3.tga flame/fire4.tga flame/fire5.tga flame/fire6.tga flame/fire7.tga flame/fire8.tga

		blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
		//rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	//{
	//	animMap 10 flame/fire2.tga flame/fire3.tga flame/fire4.tga flame/fire5.tga flame/fire6.tga flame/fire7.tga flame/fire8.tga flame/fire1.tga
	//	blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
	//	rgbGen wave sawtooth 0 1 0 10
	//	tcmod scale 1 1.1

	//}	


//	{
//		map textures/sfx/r_flameball.tga
//		blendFunc GL_ONE GL_ONE
//		rgbGen wave sin .6 .2 0 .6	
//	}

}

onfire
{
	entityMergable
	{
	animMap 40 flame/flame20.tga flame/flame24.tga flame/flame28.tga flame/flame30.tga 
	blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
	rgbGen wave sin .7 0 0 0
	}
}


flame1
{
	entityMergable
	{
	map flame/flame01.tga
	blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
	rgbGen wave sin .7 0 0 0
	}
}

flame2
{
	entityMergable
	{
	map flame/flame02.tga
	blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
	rgbGen wave sin .7 0 0 0
	}
}
flame3
{
	entityMergable
	{
	map flame/flame03.tga
	blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
	rgbGen wave sin .7 0 0 0
	}
}
flame4
{
	entityMergable
	{
	map flame/flame04.tga
	blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
	rgbGen wave sin .7 0 0 0
	}
}
flame5
{
	entityMergable
	{
	map flame/flame05.tga
	blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
	rgbGen wave sin .7 0 0 0
	}
}
flame6
{
	entityMergable
	{
	map flame/flame06.tga
	blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
	rgbGen wave sin .7 0 0 0
	}
}
flame7
{
	entityMergable
	{
	map flame/flame07.tga
	blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
	rgbGen wave sin .7 0 0 0
	}
}
flame8
{
	entityMergable
	{
	map flame/flame08.tga
	blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
	rgbGen wave sin .7 0 0 0
	}
}
flame9
{
	entityMergable
	{
	map flame/flame09.tga
	blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
	rgbGen wave sin .7 0 0 0
	}
}
flame10
{
	entityMergable
	{
	map flame/flame10.tga
	blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
	rgbGen wave sin .7 0 0 0
	}
}
flame11
{
	entityMergable
	{
	map flame/flame11.tga
	blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
	rgbGen wave sin .7 0 0 0
	}
}
flame12
{
	entityMergable
	{
	map flame/flame12.tga
	blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
	rgbGen wave sin .7 0 0 0
	}
}
flame13
{
	entityMergable
	{
	map flame/flame13.tga
	blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
	rgbGen wave sin .7 0 0 0
	}
}
flame14
{
	entityMergable
	{
	map flame/flame14.tga
	blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
	rgbGen wave sin .7 0 0 0
	}
}
flame15
{
	entityMergable
	{
	map flame/flame15.tga
	blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
	rgbGen wave sin .7 0 0 0
	}
}
flame16
{
	entityMergable
	{
	map flame/flame16.tga
	blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
	rgbGen wave sin .7 0 0 0
	}
}
flame17
{
	entityMergable
	{
	map flame/flame17.tga
	blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
	rgbGen wave sin .7 0 0 0
	}
}
flame18
{
	entityMergable
	{
	map flame/flame18.tga
	blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
	rgbGen wave sin .7 0 0 0
	}
}
flame19
{
	entityMergable
	{
	map flame/flame19.tga
	blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
	rgbGen wave sin .7 0 0 0
	}
}
flame20
{
	entityMergable
	{
	map flame/flame20.tga
	blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
	rgbGen wave sin .7 0 0 0
	}
}
flame21
{
	entityMergable
	{
	map flame/flame21.tga
	blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
	rgbGen wave sin .7 0 0 0
	}
}
flame22
{
	entityMergable
	{
	map flame/flame22.tga
	blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
	rgbGen wave sin .7 0 0 0
	}
}
flame23
{
	entityMergable
	{
	map flame/flame23.tga
	blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
	rgbGen wave sin .7 0 0 0
	}
}
flame24
{
	entityMergable
	{
	map flame/flame24.tga
	blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
	rgbGen wave sin .7 0 0 0
	}
}
flame25
{
	entityMergable
	{
	map flame/flame25.tga
	blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
	rgbGen wave sin .7 0 0 0
	}
}
flame26
{
	entityMergable
	{
	map flame/flame26.tga
	blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
	rgbGen wave sin .7 0 0 0
	}
}
flame27
{
	entityMergable
	{
	map flame/flame27.tga
	blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
	rgbGen wave sin .7 0 0 0
	}
}
flame28
{
	entityMergable
	{
	map flame/flame28.tga
	blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
	rgbGen wave sin .7 0 0 0
	}
}
flame29
{
	entityMergable
	{
	map flame/flame29.tga
	blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
	rgbGen wave sin .7 0 0 0
	}
}
flame30
{
	entityMergable
	{
	map flame/flame30.tga
	blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
	rgbGen wave sin .7 0 0 0
	}
}
