cin_logo
{
	nomipmaps
	{
		map ui/assets/cin_logo.tga
		blendfunc blend
		rgbGen identity
	}
}

warning
{
	nomipmaps
	{
		map ui/assets/warning.tga
		blendfunc blend
		rgbGen identity
		tcMod scale 8 8
	}
}

screenwipe
{
	nomipmaps
	{
		map ui/assets/screen_wipe1.tga
		blendfunc filter
		rgbGen identity
		tcMod scroll 0.1 0.1
	}
}

popback
{
	nomipmaps
	{
		clampmap ui/assets/popback.tga
		blendfunc blend
		rgbGen identity
	}
	{
		clampmap ui/assets/popback.tga
		blendfunc add
		rgbGen wave sin 0.5 0 0 0 
		tcMod rotate 10
	}
}

centerconsole
{
	nomipmaps
	{
		clampmap textures/sfx/console01.tga
		rgbGen identity
		tcMod rotate 20
	}
	{
		clampmap textures/sfx/console02.tga
		blendfunc filter
		rgbGen wave sin 0.5 0 0 0 
		tcMod rotate -60
	}
}

centerconsole2
{
	nomipmaps
	{
		clampmap textures/sfx/console01.tga
		blendfunc add
		rgbGen identity
		tcMod rotate 20
	}
	{
		clampmap textures/sfx/console02.tga
		blendfunc add
		rgbGen identity
		tcMod rotate -60
	}
}

menuback_a
{
	nomipmaps
	{
		map ui/assets/menuback_a.tga
		rgbGen wave sin 0.65 0 0 0 
	}
	{
		map ui/assets/console02.tga
		blendfunc filter
		rgbGen wave sin 0.65 0 0 0 
		tcMod rotate -60
	}
}

menuback_b
{
	nomipmaps
	{
		map ui/assets/menuback_b.tga
		blendfunc add
		rgbGen wave sin 0.75 0 0 0 
		tcMod scroll 0 0.2
	}
	{
		map textures/effects2/console01.tga
		blendfunc add
		rgbGen identity
		tcMod scroll -0.01 -0.02
		tcMod scale 0.02 0.01
		tcMod rotate 3
	}
}

menuback_e
{
	nomipmaps
	{
		clampmap ui/assets/radial.tga
		blendfunc add
		rgbGen identity
		tcMod rotate 100
	}
	{
		clampmap ui/assets/radial.tga
		blendfunc add
		rgbGen identity
		tcMod rotate -100
	}
}

menuback_e3
{
	nomipmaps
	{
		clampmap ui/assets/radial2.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 10 
		tcMod rotate 200
		tcMod scale 0.5 0.5
	}
	{
		clampmap ui/assets/radial2.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 10 
		tcMod rotate -200
		tcMod scale 0.5 0.5
	}
}

menuback_e4
{
	nomipmaps
	{
		clampmap ui/assets/radial2.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 10 
		tcMod rotate 200
	}
	{
		clampmap ui/assets/radial2.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 10 
		tcMod rotate -200
	}
}

menuback_c
{
	nomipmaps
	{
		clampmap ui/assets/circ_01.tga
		blendfunc blend
		rgbGen wave sin 0.65 0 0 0 
	}
	{
		clampmap ui/assets/circ_radial.tga
		blendfunc add
		rgbGen wave sin 0.5 0.1 0.75 0.5 
		tcMod rotate -150
	}
	{
		clampmap ui/assets/circ_rgen.tga
		blendfunc add
		rgbGen wave sin 0.6 0 0 0 
		tcMod rotate -30
	}
	{
		clampmap ui/assets/circ_rearth.tga
		blendfunc add
		rgbGen wave inversesawtooth -4 5 0.1 0.1 
		tcMod rotate 30
	}
	{
		clampmap ui/assets/circ_rdoom.tga
		blendfunc add
		rgbGen wave inversesawtooth -4 5 0.9 0.1 
		tcMod rotate 30
	}
	{
		clampmap ui/assets/circ_rslipgate.tga
		blendfunc add
		rgbGen wave inversesawtooth -4 5 0.7 0.1 
		tcMod rotate 30
	}
	{
		clampmap ui/assets/circ_rstrogg.tga
		blendfunc add
		rgbGen wave inversesawtooth -4 5 0.5 0.1 
		tcMod rotate 30
	}
	{
		clampmap ui/assets/circ_rgladia.tga
		blendfunc add
		rgbGen wave inversesawtooth -4 5 0.3 0.1 
		tcMod rotate 30
	}
}

menuback_d
{
	nomipmaps
	{
		map ui/assets/teamarena.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map ui/assets/teamarena.tga
		blendfunc add
		rgbGen wave sin 0.25 0.25 0 5 
	}
}

menuback_f
{
	nomipmaps
	{
		map ui/assets/menuback_f.tga
		blendfunc blend
		rgbGen identity
	}
}

menuback_g
{
	nomipmaps
	{
		map ui/assets/singleplayer1.tga
		blendfunc blend
		rgbGen identity
	}
}

lightningkc
{
	nomipmaps
	{
		animmap 10 ui/assets/blu01.tga ui/assets/blu02.tga ui/assets/blu03.tga ui/assets/blu04.tga ui/assets/blu05.tga ui/assets/blu06.tga ui/assets/blu07.tga ui/assets/blu08.tga 
		blendfunc add
		rgbGen wave inversesawtooth 0 1 0 10 
	}
}

menu2back
{
	nomipmaps
	{
		map ui/assets/background.tga
		rgbGen identity
	}
}

blur
{
	nomipmaps
	{
		clampmap ui/assets/blur.tga
		blendfunc add
		rgbGen wave sin 0.8 0.02 0 1 
		tcMod stretch sin 0.9 0.05 0 1 
		tcMod turb 1 0.005 0 5
	}
}

vs
{
	nomipmaps
	{
		clampmap ui/assets/vs.tga
		blendfunc add
		rgbGen wave sin 0.25 0.15 0.25 1.5 
		tcMod turb 1 0.005 0 4.5
	}
	{
		clampmap ui/assets/vs_alt.tga
		blendfunc add
		rgbGen wave square 0.75 0.15 0 1 
		tcMod turb 1 0.005 0.5 4.5
	}
}

ui/assets/the_fallen_name
{
	nomipmaps
	{
		clampmap ui/assets/the_fallen_name.tga
		blendfunc add
		rgbGen wave sin 0.75 0.25 0 2 
		tcMod turb 1 0.005 0 5
	}
	{
		map ui/assets/the_fallen_name_alt.tga
		blendfunc add
		rgbGen identity
	}
}

ui/assets/stroggs_name
{
	nomipmaps
	{
		clampmap ui/assets/stroggs_name.tga
		blendfunc add
		rgbGen wave sin 0.75 0.25 0 2 
		tcMod turb 1 0.005 0 5
	}
	{
		map ui/assets/stroggs_name_alt.tga
		blendfunc add
		rgbGen identity
	}
}

ui/assets/pagans_name
{
	nomipmaps
	{
		map ui/assets/pagans_name.tga
		blendfunc add
		rgbGen wave sin 0.75 0.25 0 2 
		tcMod turb 1 0.005 0 5
	}
	{
		map ui/assets/pagans_name_alt.tga
		blendfunc add
		rgbGen identity
	}
}

ui/assets/intruders_name
{
	nomipmaps
	{
		map ui/assets/intruders_name.tga
		blendfunc add
		rgbGen wave sin 0.75 0.25 0 2 
		tcMod turb 1 0.005 0 5
	}
	{
		map ui/assets/intruders_name_alt.tga
		blendfunc add
		rgbGen identity
	}
}

ui/assets/crusaders_name
{
	nomipmaps
	{
		map ui/assets/crusaders_name.tga
		blendfunc add
		rgbGen wave sin 0.75 0.25 0 2 
		tcMod turb 1 0.005 0 5
	}
	{
		map ui/assets/crusaders_name_alt.tga
		blendfunc add
		rgbGen identity
	}
}

uibackground4
{
	nomipmaps
	{
		map ui/assets/screen02.tga
		rgbGen wave square 0.5 0.05 0 5 
		tcMod scroll 7.1 0.2
		tcMod scale 0.8 1
	}
	{
		map ui/assets/background3.tga
		blendfunc add
		rgbGen identity
	}
}

uibackground8
{
	nomipmaps
	{
		map ui/assets/background8.tga
		rgbGen wave sin 0.5 0 0 0 
	}
}

uibackgroundid
{
	nomipmaps
	{
		map ui/assets/backgroundid.tga
		rgbGen identity
	}
	{
		map ui/assets/screen02.tga
		blendfunc add
		rgbGen wave square 0.25 0.05 0 5 
		tcMod scroll 7.1 0.2
		tcMod scale 0.8 1
	}
}

hudalert
{
	nomipmaps
	{
		map ui/assets/red_box.tga
		rgbGen wave sin 0.25 0.25 0 1 
		tcMod scroll 7.1 0.2
		tcMod scale 0.8 1
	}
}

hudalert_red
{
	nomipmaps
	{
		map ui/assets/red_box.tga
		rgbGen wave sin 0.25 0.25 0 1 
		tcMod scroll 7.1 0.2
		tcMod scale 0.8 1
	}
}

hudalert_good
{
	nomipmaps
	{
		map ui/assets/green_box.tga
		rgbGen wave sin 0.25 0.25 0 1 
		tcMod scroll 7.1 0.2
		tcMod scale 0.8 1
	}
}

cinematicscreen
{
	nomipmaps
	{
		map ui/assets/green_box.tga
		blendfunc filter
		rgbGen identity
	}
}

hudalert_blue
{
	nomipmaps
	{
		map ui/assets/blue_box.tga
		rgbGen wave sin 0.25 0.25 0 1 
		tcMod scroll 7.1 0.2
		tcMod scale 0.8 1
	}
}

menuscreen
{
	nomipmaps
	{
		map textures/sfx2/screen01.tga
		blendfunc add
		rgbGen wave square 0.75 0.05 0 5 
		tcMod scroll 7.1 0.2
		tcMod scale 0.8 1
	}
	{
		map textures/effects2/console01.tga
		blendfunc add
		rgbGen identity
		tcMod scroll -0.01 -0.02
		tcMod scale 0.02 0.01
		tcMod rotate 3
	}
}

menuscreen2
{
	nomipmaps
	{
		map textures/sfx2/screen01.tga
		blendfunc add
		rgbGen wave square 0.75 0.05 0 5 
		tcMod scroll 7 0.2
		tcMod scale 0.4 0.5
	}
}

clanlogo
{
	nomipmaps
	{
		animmap 5 ui/assets/pagans.tga ui/assets/stroggs.tga ui/assets/crusaders.tga ui/assets/thefallen.tga ui/assets/intruders.tga 
		blendfunc add
		rgbGen wave inversesawtooth 0 0.25 0 5 
	}
	{
		animmap 5 ui/assets/intruders.tga ui/assets/pagans.tga ui/assets/stroggs.tga ui/assets/crusaders.tga ui/assets/thefallen.tga 
		blendfunc add
		rgbGen wave sawtooth 0 0.25 0 5 
	}
}

playerheads
{
	nomipmaps
	{
		animmap 5 ui/assets/head1.tga ui/assets/head2.tga ui/assets/head3.tga ui/assets/head4.tga ui/assets/head5.tga ui/assets/head6.tga ui/assets/head7.tga ui/assets/head8.tga 
		blendfunc add
		rgbGen wave inversesawtooth 0 0.5 0 5 
	}
	{
		animmap 5 ui/assets/head2.tga ui/assets/head3.tga ui/assets/head4.tga ui/assets/head5.tga ui/assets/head6.tga ui/assets/head7.tga ui/assets/head8.tga ui/assets/head1.tga 
		blendfunc add
		rgbGen wave sawtooth 0 0.5 0 5 
	}
}

ui/assets/pagans_shader1
{
	nomipmaps
	{
		clampmap ui/assets/pagans.tga
		blendfunc add
		rgbGen wave sin 0.25 0 0 0 
	}
}

ui/assets/mainbanner_shader1
{
	nomipmaps
	{
		map ui/assets/mainmenubanner.tga
		blendfunc add
		rgbGen wave sin 0.05 0 0 0 
		tcMod scroll 0.02 0
	}
}

ui/assets/clan_shader1
{
	nomipmaps
	{
		map ui/assets/chooseclan.tga
		blendfunc add
		rgbGen wave sin 0.05 0 0 0 
		tcMod scroll 0.02 0
	}
}

ui/assets/player_shader1
{
	nomipmaps
	{
		map ui/assets/selectplayer.tga
		blendfunc add
		rgbGen wave sin 0.05 0 0 0 
		tcMod scroll 0.04 0
	}
}

setup
{
	nomipmaps
	{
		map ui/assets/setup.tga
		blendfunc add
		rgbGen wave sin 0.05 0 0 0 
		tcMod scroll 0.04 0
	}
}

join_server
{
	nomipmaps
	{
		map ui/assets/join_server.tga
		blendfunc add
		rgbGen wave sin 0.05 0 0 0 
		tcMod scroll 0.04 0
	}
}

fight
{
	nomipmaps
	{
		map ui/assets/fight.tga
		blendfunc add
		rgbGen wave sin 0.05 0 0 0 
		tcMod scroll 0.04 0
	}
}

start_server
{
	nomipmaps
	{
		map ui/assets/start_server.tga
		blendfunc add
		rgbGen wave sin 0.15 0 0 0 
		tcMod scroll 0.04 0
	}
}

ui/assets/controls_shader1
{
	nomipmaps
	{
		map ui/assets/controls.tga
		blendfunc add
		rgbGen wave sin 0.15 0 0 0 
		tcMod scroll 0.02 0
	}
}

playertitle
{
	nomipmaps
	{
		clampmap ui/assets/playertitle.tga
		blendfunc add
		rgbGen wave triangle 0.5 0.05 0 1 
		tcMod stretch sin 0.9 0.001 0 10 
	}
}

